> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_charcreator/compatibility/esx_identity.md).

# esx\_identity

{% hint style="danger" %}
Take advantage of this **if you only use esx\_identity** and **do not use any multicharacter system!**
{% endhint %}

***

1. Open **esx\_identity/client/main.lua**
2. Search for `RegisterNUICallback('register'`
3. Replace the nui callback with this one below

```lua
RegisterNUICallback('register', function(data, cb)
    if not guiEnabled then
        return
    end
    ESX.TriggerServerCallback('esx_identity:registerIdentity', function(callback)
        if not callback then
            return
        end
        ESX.ShowNotification(TranslateCap('thank_you_for_registering'))
        setGuiState(false)
        if not ESX.GetConfig().Multichar then
            TriggerEvent('vms_charcreator:openCreator', data.sex)
        end
    end, data)
end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_charcreator/compatibility/esx_identity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
